from django.apps import AppConfig
from .services import MbTankService, MbPumpService


class LogsServiceConfig(AppConfig):
    default_auto_field = 'django.db.models.BigAutoField'
    name = 'logs_service'

    mb_tank_service = MbTankService('10.105.0.3')
    mb_pump_service = MbPumpService('10.105.0.2')

    def ready(self):
        LogsServiceConfig.mb_tank_service.start()
        LogsServiceConfig.mb_pump_service.start()
